%{H_TEMPLATE}

#ifndef %{APPNAMEUC}_H
#define %{APPNAMEUC}_H

#include <tqmainwindow.h>

class TQTextEdit;

class %{APPNAME}: public TQMainWindow
{
    TQ_OBJECT
  

public:
    %{APPNAME}();
    ~%{APPNAME}();

protected:
    void closeEvent( TQCloseEvent* );

private slots:
    void newDoc();
    void choose();
    void load( const TQString &fileName );
    void save();
    void saveAs();
    void print();

    void about();
    void aboutTQt();

private:
    TQPrinter *printer;
    TQTextEdit *e;
    TQString filename;
};


#endif
